Bug 101443 - lvmcreate_initrd
lvmcreate_initrd
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: lvm (Show other bugs)
9
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Heinz Mauelshagen
Brian Brock
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-31 21:54 EDT by Eric Moret
Modified: 2007-03-27 00:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-07 09:38:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Fix surious kernel dependencies messages (415 bytes, patch)
2003-10-19 08:10 EDT, Francois-Xavier 'FiX' KOWALSKI
no flags Details | Diff

  None (edit)
Description Eric Moret 2003-07-31 21:54:56 EDT
Description of problem:
Running stock RH 2.4.20-19.9smp kernel on an smp machine and migrating a root 
partition to lvm.  when running lvmcreate_initrd, I get error no space left on 
device when cpio files from /dev. To fix the issue I had to manually edit 
the /sbin/lvmcreate_initrd script, uncomment line INITRDSIZE= and type 8000. 
Obviously the script does not estimate the size of the ramdisk properly.

Version-Release number of selected component (if applicable):
lvm-1.0.3-12

How reproducible:
Every time
Comment 1 Stephen Tweedie 2003-08-04 08:16:05 EDT
The Red Hat mkinitrd should deal with LVM properly anyway; does the problem
persist if you use that instead?
Comment 2 Francois-Xavier 'FiX' KOWALSKI 2003-10-19 08:10:41 EDT
Created attachment 95295 [details]
Fix surious kernel dependencies messages

despite its man page, lvmcreate_initrd is unable to regenerate module
dependencies for a non-running kernel.
Comment 3 Francois-Xavier 'FiX' KOWALSKI 2003-10-19 08:11:14 EDT
plain mkinitrd fixes the issue, provided the bug below is also fixed (patch
enclosed).

<https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=107490>

Also not that lvmcreate_mkinitrd -- appart from its unability to create an
initrd -- also issues a lot of suprious messages.  Patch enclosed in this PR
fixes the spurious messages.

IMO, lvmcreate_initrd should simply no longer be delivered & its man-page should
reference mkinitrd, that does the proper job.
Comment 4 Stephen Tweedie 2004-03-11 05:46:30 EST
Reassigning documentation/packaging suggestion.

Note You need to log in before you can comment on or make changes to this bug.